Skip to main content
GET
/
enterprises
/
{enterprise_id}
/
reputation
/
remediation
/
{remediation_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const remediation = await client.enterprises.reputation.remediation.retrieve(
  'b7c1f1c0-7a9d-4f0a-9d3e-2f6a1c4b8e21',
  { enterprise_id: '4a6192a4-573d-446d-b3ce-aff9117272a6' },
);

console.log(remediation.data);
{
  "data": {
    "id": "b7c1f1c0-7a9d-4f0a-9d3e-2f6a1c4b8e21",
    "status": "in_progress",
    "phone_numbers_count": 2,
    "phone_numbers_submitted": 2,
    "phone_numbers_ineligible": 0,
    "call_purpose": "Appointment reminders for our dental clinic.",
    "created_at": "2026-06-01T12:00:00Z",
    "updated_at": "2026-06-01T12:05:00Z",
    "contact_email": "ops@example.com",
    "webhook_url": "https://example.com/webhooks/remediation",
    "tier1_completed_at": "2023-11-07T05:31:56Z",
    "tier2_completed_at": "2023-11-07T05:31:56Z",
    "results": {
      "remediated": [
        "+19493253498"
      ],
      "not_flagged": [
        "<string>"
      ],
      "requires_review": [
        "<string>"
      ],
      "ineligible": [
        "<string>"
      ],
      "refused": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enterprise_id
string<uuid>
required

The enterprise id. Lowercase UUID.

Example:

"4a6192a4-573d-446d-b3ce-aff9117272a6"

remediation_id
string<uuid>
required

The remediation request id. Lowercase UUID.

Example:

"b7c1f1c0-7a9d-4f0a-9d3e-2f6a1c4b8e21"

Response

The remediation request.

data
object
required

Full detail of a remediation request, returned on submit and GET by id.